org.fourthline.cling.model.message.gena

## Class IncomingEventRequestMessage

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<UpnpRequest>
  - - org.fourthline.cling.model.message.StreamRequestMessage
    - - org.fourthline.cling.model.message.gena.IncomingEventRequestMessage

-     public class IncomingEventRequestMessage
      extends StreamRequestMessage

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.model.message.StreamRequestMessage

      `connection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingEventRequestMessage(StreamRequestMessage source, RemoteService service)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnsignedIntegerFourBytes` | `getSequence()`
    `RemoteService` | `getService()`
    `List<StateVariableValue>` | `getStateVariableValues()`
    `String` | `getSubscrptionId()`
    `boolean` | `hasNotificationHeaders()`
    `boolean` | `hasValidNotificationHeaders()`
    `String` | `toString()`

    - ### Methods inherited from class org.fourthline.cling.model.message.StreamRequestMessage

      `getConnection, getUri, setConnection, setUri`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingEventRequestMessage

          public IncomingEventRequestMessage(StreamRequestMessage source,
                                             RemoteService service)

  - ### Method Detail

    - #### getService

          public RemoteService getService()

    - #### getStateVariableValues

          public List<StateVariableValue> getStateVariableValues()

    - #### getSubscrptionId

          public String getSubscrptionId()

    - #### getSequence

          public UnsignedIntegerFourBytes getSequence()

    - #### hasNotificationHeaders

          public boolean hasNotificationHeaders()

      Returns:
        `true` if this message as an NT and NTS header.

    - #### hasValidNotificationHeaders

          public boolean hasValidNotificationHeaders()

      Returns:
        `true` if this message has an NT header, and NTS header with value `NotificationSubtype.PROPCHANGE`.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `UpnpMessage<UpnpRequest>`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.